Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157815 - tamil vowel signs "0BC1..0BC2 0BC6..0BC8 0BCA..0BCC" treated differently by icu and pango
Summary: tamil vowel signs "0BC1..0BC2 0BC6..0BC8 0BCA..0BCC" treated differently by i...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: Indic FC4Blocker
TreeView+ depends on / blocked
 
Reported: 2005-05-16 05:18 UTC by Lawrence Lim
Modified: 2014-03-26 00:52 UTC (History)
4 users (show)

Fixed In Version: 1.9.108-4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-10 15:22:25 UTC


Attachments (Terms of Use)
screenshot with openoffice.org-1.9.108-1 (deleted)
2005-06-10 03:31 UTC, Lawrence Lim
no flags Details


Links
System ID Priority Status Summary Last Updated
OpenOffice.org 50172 None None None Never

Description Lawrence Lim 2005-05-16 05:18:49 UTC
Description of problem:
Currently text selection, cursoring and text editing (using del key) have the
same problemdoes not highlight complete character in Indic. It is not consistent
with gtk+ application.

Version-Release number of selected component (if applicable):
openoffice.org-core-1.9.100-1

How reproducible:
Always

Steps to Reproduce:
1. LANG=ta_IN.UTF-8
2. enter 'kg'

cusoring issue:
3. move curosr back using '<-' key

delete issue:
3. move to the front of the character by pressing 'Home'
4. press delete once

text selection:
3.  shift '->' or '<-' to highlight the character
  
Actual results:
cursoring issue: takes two keypress to move across the character
delete issue: takes two keypress to delete the character
text selection: takes two keypress to hightlight the character

Expected results:
cursoring issue: one keypress as it is one composed character
delete issue:  one keypress as it is one composed character
text selection: one keypress as it is one composed character

Additional info:

Comment 2 Caolan McNamara 2005-06-01 18:34:37 UTC
This is some sort of regression or change from 1.1.4 to 1.9.X in the icu module.
Affects upstream as well.

Comment 3 Caolan McNamara 2005-06-03 10:32:13 UTC
See http://www.openoffice.org/issues/show_bug.cgi?id=50172 for my testcase to
demo regression in icu 2.2 to icu 2.6

But also see http://www.jtcsv.com/cgibin/icu-bugs?findid=1587 

Comment 4 Caolan McNamara 2005-06-03 11:17:17 UTC
According to the icu bug report this is the correct behaviour ? What do you
think,  want me to try and revert the change anyway ?

Comment 5 Caolan McNamara 2005-06-03 12:58:08 UTC
ok.. 
The current http://www.unicode.org/reports/tr29/ says that The
Grapheme_Cluster_Break property values are defined in
http://www.unicode.org/Public/UNIDATA/auxiliary/GraphemeBreakProperty.txt and
that list does not list the tamil vowel signs, but the older
http://www.unicode.org/Public/3.2-Update/DerivedCoreProperties-3.2.0.txt did. So
*apparently* icu is following the spec. 

I have a patch at http://qa.openoffice.org/issues/show_bug.cgi?id=50172 to
revert to the old OOo/icu behaviour which is the same as current pango and I'll
put it in into our OOO in the interim (i.e. 1.9.106-2)

caolanm->otaylor:
any idea which of these behaviours is *correct* the pango one, or the icu one ?
I've matched the pango one for now.

Comment 8 Lawrence Lim 2005-06-10 03:30:08 UTC
Tested with openoffice.org-1.9.108-1, here's the breakdown.

Cursoring Issue:
bn,gu,hi,pa,ta: takes 1 keypress which is correct. all good.

Delete Issue:
bn,gu,hi,pa,ta: takes 1 keypress (Delete Key) which is correct. all good.

Text Selection:
bn,gu,hi,pa,ta: takes 1 keypress (shift + ->) which is correct. all good.


Additional Issue:
Seems the width of character for bn, gu, hi are not right. Takes the space of
two characters instead of one. Please see attached screenshot, observe the
highlight of the character after i did shift+-> ONCE.


Comment 9 Lawrence Lim 2005-06-10 03:31:43 UTC
Created attachment 115282 [details]
screenshot with openoffice.org-1.9.108-1 

character width issue.

Comment 10 Caolan McNamara 2005-06-10 10:14:40 UTC
character width issue should be the same problem as rh#157813#

Comment 11 Caolan McNamara 2005-06-10 15:22:25 UTC
putting the rendering issue aside as rh#157813# this works with 1.9.108-4 for
rawhide/fc4-update-candidate


Note You need to log in before you can comment on or make changes to this bug.